EndpointsScheduled changes
Get Scheduled Changes
Gets a paginated list of scheduled stage changes across all areas.
Gets a paginated list of scheduled stage changes across all areas.
Query Parameters
page?|
Match
^-?(?:0|[1-9]\d*)$Format
int32pageSize?|
Match
^-?(?:0|[1-9]\d*)$Format
int32status?string
organisationId?string
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/scheduled-changes"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "area": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "organisationName": "string" }, "targetStage": null, "effectiveFrom": "2019-08-24T14:15:22Z", "approval": { "status": "pendingApproval", "approvedAt": null }, "isApplied": true, "isCancelled": true, "cancellationReason": null, "isAutoDetected": true, "createdAt": "2019-08-24T14:15:22Z", "appliedAssignmentDeletedAt": null, "appliedAssignmentDeletionReason": null } ], "pageNumber": 0, "pageSize": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true}{ "type": null, "title": null, "status": null, "detail": null, "instance": null}{ "type": null, "title": null, "status": null, "detail": null, "instance": null}